﻿//Aufgabenstellung
//
//1.Import
//
//Als Teil des Entwicklungsteams sollen Sie einen Import für neue Nutzer der jeweiligen Kunden entwickeln.
//Die Kunden schicken zu diesem Zweck CSV-Dateien mit den Daten von neuen Nutzern.
//Diese Daten müssen in die bestehenden Datentabellen eingespielt werden.
//Dafür sind folgende Anforderungen formuliert:
//
//	• Ein Sachbearbeiter ruft eine Konsolen-App auf, in welcher er die Datei und die
//	    Kundennummer des Kunden als Parameter übergibt: Die Beispieldatei hat den Namen "import_yutani.csv" und
//	    gehört zum Kunden mit der Nummer "K2-002"
//
//	• Die Datei hat den Aufbau:
//      - Ein Nutzer mit Anrede, Vorname, Nachname und Geburtsdatum
//      - Ggf. Adresse: Straße mit Hausnummer, PLZ, Stadt
//      - Ggf. E-Mail
//      - Ggf. eine oder mehrere Telefonnummern: Vorwahl ohne führende 0 und Nummer
//
//    	• Ein Nutzer darf für einen Kunden nicht mehrmals importiert werden.
//
//    	• Die Daten sollen wie folgt validiert werden:
//    		○ Geburtsdatum: TT.MM.JJJJ
//    		○ Valide E-Mail-Adresse
//    		○ PLZ: exakt 5 Nummern
//    		○ Telefonnummer 3 bis 5 Nummern für die Vorwahl und 4 bis 10 Nummern für die Hauptnummer. Keine Sonderzeichen
//
//	• Nicht valide Datensätze von Nutzern sollen in einem Protokoll erfasst werden, ebenso bereits vorhandene Nutzer.
//	  Der komplette Datensatz eines Nutzers darf dann nicht importiert werden
using MySql.Data;
using MySql.Data.MySqlClient;
using MySqlX.XDevAPI;
using System.Data.Common;
using System.Reflection.PortableExecutable;
using System.Xml;
namespace PMCProjekt
{
    internal class Program
    {
        static void Main(string[] args)
        {
            MySql.Data.MySqlClient.MySqlConnection myConnection;
            string myConnectionString;
            //set the correct values for your server, user, password and database name
            myConnectionString = "server=localhost;uid=root;pwd=root;database=vr_contact";

            try
            {
                myConnection = new MySql.Data.MySqlClient.MySqlConnection(myConnectionString);
                //open a connection
                myConnection.Open();

                // create a MySQL command and set the SQL statement with parameters
                MySqlCommand myCommand = new MySqlCommand();
                myCommand.Connection = myConnection;
                myCommand.CommandText = @"SELECT * FROM workshop WHERE maxParticipants = @code;";
                myCommand.Parameters.AddWithValue("@code", "12");

                // execute the command and read the results
                using MySqlDataReader myReader = myCommand.ExecuteReader();

                while (myReader.Read())
                {
                    int id = myReader.GetInt32("maxParticipants");
                    string name = myReader.GetString("title");
                    Console.WriteLine(id + " " + name);
                }

                myConnection.Close();
            }
            catch (MySql.Data.MySqlClient.MySqlException ex)
            {

            }


        }
    }

}

   